Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class DsGetDC.DOMAIN_CONTROLLER_INFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DsGetDC.DOMAIN_CONTROLLER_INFO

Direct Known Subclasses:
  DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference

Enclosing interface:
  DsGetDC

    public static class DsGetDC.DOMAIN_CONTROLLER_INFO

extends com.sun.jna.Structure

The DOMAIN_CONTROLLER_INFO structure is used with the DsGetDcName function to receive data about a domain controller.

Nested Class Summary
`static class` | `DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.WString` | `ClientSiteName` Pointer to a null-terminated WString that specifies the name of the site that the computer belongs to.
`com.sun.jna.WString` | `DcSiteName` Pointer to a null-terminated WString that specifies the name of the site where the domain controller is located.
`com.sun.jna.WString` | `DnsForestName` Pointer to a null-terminated WString that specifies the name of the domain at the root of the DS tree.
`com.sun.jna.WString` | `DomainControllerAddress` Pointer to a null-terminated WString that specifies the address of the discovered domain controller.
`int` | `DomainControllerAddressType` Indicates the type of WString that is contained in the DomainControllerAddress member.
`com.sun.jna.WString` | `DomainControllerName` Pointer to a null-terminated WString that specifies the computer name of the discovered domain controller.
`Guid.GUID` | `DomainGuid` The GUID of the domain.
`com.sun.jna.WString` | `DomainName` Pointer to a null-terminated WString that specifies the name of the domain.
`int` | `Flags` Contains a set of flags that describe the domain controller.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DsGetDC.DOMAIN_CONTROLLER_INFO()`
`DsGetDC.DOMAIN_CONTROLLER_INFO(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DomainControllerName

    public com.sun.jna.WString DomainControllerName

  Pointer to a null-terminated WString that specifies the computer name of the discovered domain controller. The returned computer name is prefixed with "\\". The DNS-style name, for example, "\\phoenix.fabrikam.com", is returned, if available. If the DNS-style name is not available, the flat-style name (for example, "\\phoenix") is returned. This example would apply if the domain is a Windows NT 4.0 domain or if the domain does not support the IP family of protocols.

### DomainControllerAddress

    public com.sun.jna.WString DomainControllerAddress

  Pointer to a null-terminated WString that specifies the address of the discovered domain controller. The address is prefixed with "\\". This WString is one of the types defined by the DomainControllerAddressType member.

### DomainControllerAddressType

    public int DomainControllerAddressType

  Indicates the type of WString that is contained in the DomainControllerAddress member.

### DomainGuid

    public Guid.GUID DomainGuid

  The GUID of the domain. This member is zero if the domain controller does not have a Domain GUID; for example, the domain controller is not a Windows 2000 domain controller.

### DomainName

    public com.sun.jna.WString DomainName

  Pointer to a null-terminated WString that specifies the name of the domain. The DNS-style name, for example, "fabrikam.com", is returned if available. Otherwise, the flat-style name, for example, "fabrikam", is returned. This name may be different than the requested domain name if the domain has been renamed.

### DnsForestName

    public com.sun.jna.WString DnsForestName

  Pointer to a null-terminated WString that specifies the name of the domain at the root of the DS tree. The DNS-style name, for example, "fabrikam.com", is returned if available. Otherwise, the flat-style name, for example, "fabrikam" is returned.

### Flags

    public int Flags

  Contains a set of flags that describe the domain controller.

### DcSiteName

    public com.sun.jna.WString DcSiteName

  Pointer to a null-terminated WString that specifies the name of the site where the domain controller is located. This member may be NULL if the domain controller is not in a site; for example, the domain controller is a Windows NT 4.0 domain controller.

### ClientSiteName

    public com.sun.jna.WString ClientSiteName

  Pointer to a null-terminated WString that specifies the name of the site that the computer belongs to. The computer is specified in the ComputerName parameter passed to DsGetDcName. This member may be NULL if the site that contains the computer cannot be found; for example, if the DS administrator has not associated the subnet that the computer is in with a valid site.

Constructor Detail

### DsGetDC.DOMAIN_CONTROLLER_INFO

    public DsGetDC.DOMAIN_CONTROLLER_INFO()

### DsGetDC.DOMAIN_CONTROLLER_INFO

    public DsGetDC.DOMAIN_CONTROLLER_INFO(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD